<%@ page language="java"%> 

<%@ page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*,m05bClasses.*" %>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>	
<%@ include file="/m05bIdioma.inc"%>

<HTML>

<HEAD>
 <title><%= resTit.getString("titLstAsigEntreFechas")%></title>
 <link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
 <META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">	
 <SCRIPT language=JavaScript>
		function fncRetornar() {
				 document.formSolicitud.action="/m05bParqueMovilWar/m05bAsigEntreFechasJsp.jsp" ;
				 document.formSolicitud.submit();
		}
 </SCRIPT>
</HEAD>	
<BODY style="cursor: wait" onload="document.body.style.cursor='default';document.all['general'].style.visibility='visible';document.all['general'].style.cursor='default';" onunload="document.body.style.cursor='wait';document.all['general'].style.cursor='wait';">
<div  id="general" style="POSITION: absolute;visibility:hidden;cursor: wait">	
	<form NAME="formSolicitud" METHOD="POST">
		<%	m05bComun miComun = new m05bComun();
			String AsigEntreFechas = miComun.leerPropiedad("PDF.AsigEntreFechas"); 
			String sDpto = request.getParameter("CodDpto");
			String sSituacion = request.getParameter("SituacionTexto");
			String sGRango = request.getParameter("GRango");
			String sRango = request.getParameter("CodRango");
			String sMatricula = request.getParameter("Matricula");
			String sFecDesde = request.getParameter("FecDesde");
			String sFecDesde2=miComun.formatearFecha2(sFecDesde);
			String sFecHasta = request.getParameter("FecHasta");
		    String sFecHasta2=miComun.formatearFecha2(sFecHasta);
		    String sFinalizada= request.getParameter("Finalizada");

			String srcPDF = AsigEntreFechas + "?CodDpto="+sDpto +"&Situacion="+sSituacion+"&GRango="+sGRango
			+"&Rango="+sRango+"&Matricula="+sMatricula+"&FecDesde="+sFecDesde+"&FecHasta="+sFecHasta+"&Finalizada="+sFinalizada;
			
			java.sql.Connection conn=null;
			PreparedStatement pstmt = null;
			ResultSet rs = null;
		      try
		      {  //HttpSession session = request.getSession(true);
					m05bConexion miConex = new m05bConexion();
					conn = miConex.getConnection();
		   String sSentencia=" SELECT  1 "+
								" FROM " + 
								m05bConstantes.TAB_ASIGNACION + " ," + 
								m05bConstantes.TAB_PERSONAL + " ," +
								m05bConstantes.TAB_VEHICULOS+
								" WHERE " + 
								m05bConstantes.COL_01_DNI + " = " + 
								m05bConstantes.COL_21_DNI + " AND " + 
								m05bConstantes.COL_01_MATRICULA + " = " + 
								m05bConstantes.COL_34_MATRICULA ;

		if (!(sSituacion.equals(""))){
		        sSituacion=miComun.ListaCaracteres(sSituacion);
		    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_34_SITUACION+ " in ("+sSituacion+")";}
		if (!(sFecDesde.equals(""))){
		    	sSentencia= sSentencia + " AND (( TO_CHAR("+m05bConstantes.COL_01_FDESDE +",'YYYY/mm/dd')<='"+sFecHasta2+"')"+ 
		" AND   (("+m05bConstantes.COL_01_FDEVOL+" Is Null )"+ 
		" OR    ( TO_CHAR("+m05bConstantes.COL_01_FHASTA +",'YYYY/mm/dd')>='"+sFecDesde2+"')))";}
					
		if (!(sDpto.equals(""))){
		    	sSentencia= sSentencia + " AND " +  m05bConstantes.COL_01_CODDPTO+ " = '"+sDpto+"'" ;}
		if (!(sMatricula.equals(""))){
		    	sSentencia= sSentencia + " AND " +  m05bConstantes.COL_34_MATRICULA+ " = '"+sMatricula+"'" ;}
        if (sFinalizada.equals("1")){
    	    sSentencia= sSentencia + " AND " + m05bConstantes.COL_01_FINALIZA+ " = 'S'" ;}  
        else if (sFinalizada.equals("2")){
    	    sSentencia= sSentencia + " AND " + m05bConstantes.COL_01_FINALIZA+ " = 'N'" ;}    		    	
		if (!(sRango.equals(""))){
		    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_01_CODRANGO+ " = '"+sRango+"'" ;}
		else if (!(sGRango.equals(""))){
		    	String sSentenciaGrupo=" SELECT "+ m05bConstantes.COL_36_RANGOS+
		    	                " FROM " + m05bConstantes.TAB_GRUPOS + 
		    	                " WHERE " + m05bConstantes.COL_36_CODIGO + " = '" +sGRango+"'";
		    	pstmt = conn.prepareStatement(sSentenciaGrupo);
				rs = pstmt.executeQuery();
		        if (rs.next()){
				    sGRango=rs.getString(1)==null ? "":rs.getString(1);	
		            sGRango=miComun.ListaCaracteres(sGRango);
		    		sSentencia= sSentencia + " AND " + m05bConstantes.COL_01_CODRANGO+ " in ( "+sGRango + ")";
		        }
		}
		                     pstmt = conn.prepareStatement(sSentencia);
				                     rs = pstmt.executeQuery();
		%>
			
		<TABLE class="general">
		  <tr>
		       <td width="90%" align="right">
		       		<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
		       </td>
		  </tr>
		  <tr>
		    <td colspan="2">
		    <% if (rs.next() == true){ %>
				<embed name='pdfAsigentreFechas' src='<%=srcPDF%>' type="application/pdf" width='736' height='500'></embed>
		    <%} else {%>
				<embed name='pdfAsigentreFechas' src='/parquemovil/SinDatos.pdf' type="application/pdf" width='736' height='500'></embed>
		    <%}%>
			<%	} catch (Exception SQLException) {
				m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
					miLog.addTraza(SQLException);
				} 	finally{
						if (rs != null)
							rs.close();
						if (pstmt != null)
							pstmt.close();
						if (conn != null)
							conn.close();}%>
		  	</td>
		  </tr>
		</TABLE>
	</form>
	<script type="text/javascript" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bMsControl.js"></script>
 
</div>				
</body>
</html>
